DisassociateNatGatewayAddress
In this article:
DisassociateNatGatewayAddress#
Description#
Disassociates one or more Elastic IP addresses from a NAT gateway.
This operation is available only for NAT gateways that support manual Elastic IP address allocation mode.
You can disassociate all Elastic IP addresses from a NAT gateway. In this case, VPC resources will not be able to access the Internet through it.
Request Parameters#
AssociationId.N — The IDs of Elastic IP address associations to disassociate from the NAT gateway.
Type: Array of strings
Required: Yes
NatGatewayId — The ID of the NAT gateway.
Type: String
Required: Yes
Response Elements#
natGatewayAddressSet — Information about the Elastic IP addresses of the NAT gateway.
Type: List of NatGatewayAddress objects
natGatewayId — The ID of the NAT gateway.
Type: String
requestId — The request ID.
Type: String
Examples#
c2-ec2 DisassociateNatGatewayAddress NatGatewayId <natgw_id> AssociationId.1 <association_id>